Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.odf
Class OpenOfficeSignatureFacet

    java.lang.Object
      be.fedict.eid.applet.service.signer.odf.OpenOfficeSignatureFacet

All Implemented Interfaces:
  SignatureFacet

    public class OpenOfficeSignatureFacet

extends Object
implements SignatureFacet

OpenOffice.org signature facet.

Author:
  fcorneli

Constructor Summary
`OpenOfficeSignatureFacet(DigestAlgo digestAlgo)`

Method Summary
`void` | `postSign(Element signatureElement, List<X509Certificate> signingCertificateChain)` This method is being invoked by the XML signature service engine during the post-sign phase.
`void` | `preSign(XMLSignatureFactory signatureFactory, Document document, String signatureId, List<X509Certificate> signingCertificateChain, List<Reference> references, List<XMLObject> objects)` This method is being invoked by the XML signature service engine during pre-sign phase.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenOfficeSignatureFacet

    public OpenOfficeSignatureFacet(DigestAlgo digestAlgo)

Method Detail

### preSign

    public void preSign(XMLSignatureFactory signatureFactory,
                        Document document,
                        String signatureId,
                        List<X509Certificate> signingCertificateChain,
                        List<Reference> references,
                        List<XMLObject> objects)
                 throws NoSuchAlgorithmException,
                        InvalidAlgorithmParameterException

  Description copied from interface: `SignatureFacet`
  This method is being invoked by the XML signature service engine during pre-sign phase. Via this method a signature facet implementation can add signature facets to an XML signature.

  Specified by:
    `preSign` in interface `SignatureFacet`
    `signingCertificateChain` - the optional signing certificate chain
  Throws:
    `NoSuchAlgorithmException`
    `InvalidAlgorithmParameterException`

### postSign

    public void postSign(Element signatureElement,
                         List<X509Certificate> signingCertificateChain)

  Description copied from interface: `SignatureFacet`
  This method is being invoked by the XML signature service engine during the post-sign phase. Via this method a signature facet can extend the XML signatures with for example key information.

  Specified by:
    `postSign` in interface `SignatureFacet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.